Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QEvent.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QEvent.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QEvent

    public static final class QEvent.Type

extends java.lang.Enum
implements QtEnumerator

This enum type defines the valid event types in Qt. The event types and the specialized classes for each type are as follows: User events should have values between `User` and `MaxUser`: For convenience, you can use the `registerEventType()` function to register and reserve a custom event type for your application. Doing so will allow you to avoid accidentally re-using a custom event type already in use elsewhere in your application.

See Also:
  Serialized Form

Field Summary
`static QEvent.Type` | `AcceptDropsChange`
`static QEvent.Type` | `AccessibilityDescription` Used to query accessibility description texts (`QAccessibleEvent`).
`static QEvent.Type` | `AccessibilityHelp` Used to query accessibility help texts (`QAccessibleEvent`).
`static QEvent.Type` | `AccessibilityPrepare` Accessibility information is requested.
`static QEvent.Type` | `ActionAdded` A new action has been added (`QActionEvent`).
`static QEvent.Type` | `ActionChanged` An action has been changed (`QActionEvent`).
`static QEvent.Type` | `ActionRemoved` An action has been removed (`QActionEvent`).
`static QEvent.Type` | `ActivateControl`
`static QEvent.Type` | `ActivationChange` A widget's top-level window activation state has changed.
`static QEvent.Type` | `ApplicationActivate` The application has been made available to the user.
`static QEvent.Type` | `ApplicationDeactivate` The application has been suspended, and is unavailable to the user.
`static QEvent.Type` | `ApplicationFontChange` The default application font has changed.
`static QEvent.Type` | `ApplicationLayoutDirectionChange` The default application layout direction has changed.
`static QEvent.Type` | `ApplicationPaletteChange` The default application palette has changed.
`static QEvent.Type` | `ApplicationWindowIconChange` The application's icon has changed.
`static QEvent.Type` | `ChildAdded` An object gets a child (`QChildEvent`).
`static QEvent.Type` | `ChildPolished` A widget child gets polished (`QChildEvent`).
`static QEvent.Type` | `ChildRemoved` An object loses a child (`QChildEvent`).
`static QEvent.Type` | `Clipboard` The clipboard contents have changed (`QClipboardEvent`).
`static QEvent.Type` | `Close` Widget was closed (`QCloseEvent`).
`static QEvent.Type` | `ContentsRectChange` The margins of the widget's content rect changed.
`static QEvent.Type` | `ContextMenu` Context popup menu (`QContextMenuEvent`).
`static QEvent.Type` | `Create`
`static QEvent.Type` | `CursorChange` The widget's cursor has changed.
`static QEvent.Type` | `CustomEnum`
`static QEvent.Type` | `DeactivateControl`
`static QEvent.Type` | `DeferredDelete` The object will be deleted after it has cleaned up.
`static QEvent.Type` | `Destroy`
`static QEvent.Type` | `DragEnter` The cursor enters a widget during a drag and drop operation (`QDragEnterEvent`).
`static QEvent.Type` | `DragLeave` The cursor leaves a widget during a drag and drop operation (`QDragLeaveEvent`).
`static QEvent.Type` | `DragMove` A drag and drop operation is in progress (`QDragMoveEvent`).
`static QEvent.Type` | `DragResponse`
`static QEvent.Type` | `Drop` A drag and drop operation is completed (`QDropEvent`).
`static QEvent.Type` | `DynamicPropertyChange` A dynamic property was added, changed or removed from the object.
`static QEvent.Type` | `EmbeddingControl`
`static QEvent.Type` | `EnabledChange` Widget's enabled state has changed.
`static QEvent.Type` | `Enter` Mouse enters widget's boundaries.
`static QEvent.Type` | `EnterWhatsThisMode` Send to toplevel widgets when the application enters "What's This?" mode.
`static QEvent.Type` | `FileOpen` File open request (`QFileOpenEvent`).
`static QEvent.Type` | `FocusIn` Widget gains keyboard focus (`QFocusEvent`).
`static QEvent.Type` | `FocusOut` Widget loses keyboard focus (`QFocusEvent`).
`static QEvent.Type` | `FontChange` Widget's font has changed.
`static QEvent.Type` | `FutureCallOut`
`static QEvent.Type` | `GrabKeyboard` Item gains keyboard grab (`QGraphicsItem` only).
`static QEvent.Type` | `GrabMouse` Item gains mouse grab (`QGraphicsItem` only).
`static QEvent.Type` | `GraphicsSceneContextMenu` Context popup menu over a graphics scene (`QGraphicsSceneContextMenuEvent`).
`static QEvent.Type` | `GraphicsSceneDragEnter` The cursor enters a graphics scene during a drag and drop operation.
`static QEvent.Type` | `GraphicsSceneDragLeave` The cursor leaves a graphics scene during a drag and drop operation.
`static QEvent.Type` | `GraphicsSceneDragMove` A drag and drop operation is in progress over a scene.
`static QEvent.Type` | `GraphicsSceneDrop` A drag and drop operation is completed over a scene.
`static QEvent.Type` | `GraphicsSceneHelp` The user requests help for a graphics scene (`QHelpEvent`).
`static QEvent.Type` | `GraphicsSceneHoverEnter` The mouse cursor enters a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`static QEvent.Type` | `GraphicsSceneHoverLeave` The mouse cursor leaves a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`static QEvent.Type` | `GraphicsSceneHoverMove` The mouse cursor moves inside a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`static QEvent.Type` | `GraphicsSceneMouseDoubleClick` Mouse press again (double click) in a graphics scene (`QGraphicsSceneMouseEvent`).
`static QEvent.Type` | `GraphicsSceneMouseMove` Move mouse in a graphics scene (`QGraphicsSceneMouseEvent`).
`static QEvent.Type` | `GraphicsSceneMousePress` Mouse press in a graphics scene (`QGraphicsSceneMouseEvent`).
`static QEvent.Type` | `GraphicsSceneMouseRelease` Mouse release in a graphics scene (`QGraphicsSceneMouseEvent`).
`static QEvent.Type` | `GraphicsSceneMove` Widget was moved (`QGraphicsSceneMoveEvent`).
`static QEvent.Type` | `GraphicsSceneResize` Widget was resized (`QGraphicsSceneResizeEvent`).
`static QEvent.Type` | `GraphicsSceneWheel` Mouse wheel rolled in a graphics scene (`QGraphicsSceneWheelEvent`).
`static QEvent.Type` | `HelpRequest`
`static QEvent.Type` | `Hide` Widget was hidden (`QHideEvent`).
`static QEvent.Type` | `HideToParent` A child widget has been hidden.
`static QEvent.Type` | `HoverEnter` The mouse cursor enters a hover widget (`QHoverEvent`).
`static QEvent.Type` | `HoverLeave` The mouse cursor leaves a hover widget (`QHoverEvent`).
`static QEvent.Type` | `HoverMove` The mouse cursor moves inside a hover widget (`QHoverEvent`).
`static QEvent.Type` | `IconDrag` The main icon of a window has been dragged away (`QIconDragEvent`).
`static QEvent.Type` | `IconTextChange` Widget's icon text has been changed.
`static QEvent.Type` | `InputMethod` An input method is being used (`QInputMethodEvent`).
`static QEvent.Type` | `KeyboardLayoutChange` The keyboard layout has changed.
`static QEvent.Type` | `KeyPress` Key press (`QKeyEvent`).
`static QEvent.Type` | `KeyRelease` Key release (`QKeyEvent`).
`static QEvent.Type` | `LanguageChange` The application translation changed.
`static QEvent.Type` | `LayoutDirectionChange` The direction of layouts changed.
`static QEvent.Type` | `LayoutRequest` Widget layout needs to be redone.
`static QEvent.Type` | `Leave` Mouse leaves widget's boundaries.
`static QEvent.Type` | `LeaveWhatsThisMode` Send to toplevel widgets when the application leaves "What's This?" mode.
`static QEvent.Type` | `LocaleChange` The system locale has changed.
`static QEvent.Type` | `MacGLWindowChange`
`static QEvent.Type` | `MacSizeChange` The user changed his widget sizes (Mac OS X only).
`static QEvent.Type` | `MaxUser` Last user event ID.
`static QEvent.Type` | `MenubarUpdated` The window's menu bar has been updated.
`static QEvent.Type` | `MetaCall` An asynchronous method invocation via QMetaObject.:invokeMethod().
`static QEvent.Type` | `ModifiedChange` Widgets modification state has been changed.
`static QEvent.Type` | `MouseButtonDblClick` Mouse press again (`QMouseEvent`).
`static QEvent.Type` | `MouseButtonPress` Mouse press (`QMouseEvent`).
`static QEvent.Type` | `MouseButtonRelease` Mouse release (`QMouseEvent`).
`static QEvent.Type` | `MouseMove` Mouse move (`QMouseEvent`).
`static QEvent.Type` | `MouseTrackingChange` The mouse tracking state has changed.
`static QEvent.Type` | `Move` Widget's position changed (`QMoveEvent`).
`static QEvent.Type` | `NetworkReplyUpdated`
`static QEvent.Type` | `NonClientAreaMouseButtonDblClick` A mouse double click occurred outside the client area.
`static QEvent.Type` | `NonClientAreaMouseButtonPress` A mouse button press occurred outside the client area.
`static QEvent.Type` | `NonClientAreaMouseButtonRelease` A mouse button release occurred outside the client area.
`static QEvent.Type` | `NonClientAreaMouseMove` A mouse move occurred outside the client area.
`static QEvent.Type` | `None` Not an event.
`static QEvent.Type` | `OkRequest` Ok button in decoration pressed.
`static QEvent.Type` | `Paint` Screen update necessary (`QPaintEvent`).
`static QEvent.Type` | `PaletteChange` Palette of the widget changed.
`static QEvent.Type` | `ParentAboutToChange` The widget parent is about to change.
`static QEvent.Type` | `ParentChange` The widget parent has changed.
`static QEvent.Type` | `Polish`
`static QEvent.Type` | `PolishRequest` The widget is polished.
`static QEvent.Type` | `QueryWhatsThis` The widget should accept the event if it has "What's This?" help.
`static QEvent.Type` | `Quit`
`static QEvent.Type` | `Resize` Widget's size changed (`QResizeEvent`).
`static QEvent.Type` | `Shortcut` Key press in child for shortcut key handling (`QShortcutEvent`).
`static QEvent.Type` | `ShortcutOverride` Key press in child, for overriding shortcut key handling (`QKeyEvent`).
`static QEvent.Type` | `Show` Widget was shown on screen (`QShowEvent`).
`static QEvent.Type` | `ShowToParent` A child widget has been shown.
`static QEvent.Type` | `ShowWindowRequest`
`static QEvent.Type` | `SockAct` Socket activated, used to implement `QSocketNotifier`.
`static QEvent.Type` | `Speech`
`static QEvent.Type` | `StatusTip` A status tip is requested (`QStatusTipEvent`).
`static QEvent.Type` | `Style`
`static QEvent.Type` | `StyleChange` Widget's style has been changed.
`static QEvent.Type` | `TabletEnterProximity` Wacom tablet enter proximity event (`QTabletEvent`), sent to `QApplication`.
`static QEvent.Type` | `TabletLeaveProximity` Wacom tablet leave proximity event (`QTabletEvent`), sent to `QApplication`.
`static QEvent.Type` | `TabletMove` Wacom tablet move (`QTabletEvent`).
`static QEvent.Type` | `TabletPress` Wacom tablet press (`QTabletEvent`).
`static QEvent.Type` | `TabletRelease` Wacom tablet release (`QTabletEvent`).
`static QEvent.Type` | `ThreadChange`
`static QEvent.Type` | `Timer` Regular timer events (`QTimerEvent`).
`static QEvent.Type` | `ToolBarChange` The toolbar button is toggled on Mac OS X.
`static QEvent.Type` | `ToolTip` A tooltip was requested (`QHelpEvent`).
`static QEvent.Type` | `ToolTipChange` The widget's tooltip has changed.
`static QEvent.Type` | `UngrabKeyboard` Item loses keyboard grab (`QGraphicsItem` only).
`static QEvent.Type` | `UngrabMouse` Item loses mouse grab (`QGraphicsItem` only).
`static QEvent.Type` | `UpdateLater` The widget should be queued to be repainted at a later time.
`static QEvent.Type` | `UpdateRequest` The widget should be repainted.
`static QEvent.Type` | `User` User-defined event.
`static QEvent.Type` | `WhatsThis` The widget should reveal "What's This?" help (`QHelpEvent`).
`static QEvent.Type` | `WhatsThisClicked` A link in a widget's "What's This?" help was clicked.
`static QEvent.Type` | `Wheel` Mouse wheel rolled (`QWheelEvent`).
`static QEvent.Type` | `WindowActivate` Window was activated.
`static QEvent.Type` | `WindowBlocked` The window is blocked by a modal dialog.
`static QEvent.Type` | `WindowDeactivate` Window was deactivated.
`static QEvent.Type` | `WindowIconChange` The window's icon has changed.
`static QEvent.Type` | `WindowStateChange` The `window's state` (minimized, maximized or full-screen) has changed (`QWindowStateChangeEvent`).
`static QEvent.Type` | `WindowTitleChange` The window title has changed.
`static QEvent.Type` | `WindowUnblocked` The window is unblocked after a modal dialog exited.
`static QEvent.Type` | `WinEventAct` A Windows-specific activation event has occurred.
`static QEvent.Type` | `ZeroTimerEvent`
`static QEvent.Type` | `ZOrderChange` The widget's z-order has changed.

Method Summary
`static QEvent.Type` | `resolve(int value)` Returns the QEvent$Type constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QEvent.Type` | `valueOf(java.lang.String name)`
`static QEvent.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QEvent.Type None

  Not an event.

### Timer

    public static final QEvent.Type Timer

  Regular timer events (`QTimerEvent`).

### MouseButtonPress

    public static final QEvent.Type MouseButtonPress

  Mouse press (`QMouseEvent`).

### MouseButtonRelease

    public static final QEvent.Type MouseButtonRelease

  Mouse release (`QMouseEvent`).

### MouseButtonDblClick

    public static final QEvent.Type MouseButtonDblClick

  Mouse press again (`QMouseEvent`).

### MouseMove

    public static final QEvent.Type MouseMove

  Mouse move (`QMouseEvent`).

### KeyPress

    public static final QEvent.Type KeyPress

  Key press (`QKeyEvent`).

### KeyRelease

    public static final QEvent.Type KeyRelease

  Key release (`QKeyEvent`).

### FocusIn

    public static final QEvent.Type FocusIn

  Widget gains keyboard focus (`QFocusEvent`).

### FocusOut

    public static final QEvent.Type FocusOut

  Widget loses keyboard focus (`QFocusEvent`).

### Enter

    public static final QEvent.Type Enter

  Mouse enters widget's boundaries.

### Leave

    public static final QEvent.Type Leave

  Mouse leaves widget's boundaries.

### Paint

    public static final QEvent.Type Paint

  Screen update necessary (`QPaintEvent`).

### Move

    public static final QEvent.Type Move

  Widget's position changed (`QMoveEvent`).

### Resize

    public static final QEvent.Type Resize

  Widget's size changed (`QResizeEvent`).

### Create

    public static final QEvent.Type Create

### Destroy

    public static final QEvent.Type Destroy

### Show

    public static final QEvent.Type Show

  Widget was shown on screen (`QShowEvent`).

### Hide

    public static final QEvent.Type Hide

  Widget was hidden (`QHideEvent`).

### Close

    public static final QEvent.Type Close

  Widget was closed (`QCloseEvent`).

### Quit

    public static final QEvent.Type Quit

### ParentChange

    public static final QEvent.Type ParentChange

  The widget parent has changed.

### ParentAboutToChange

    public static final QEvent.Type ParentAboutToChange

  The widget parent is about to change.

### ThreadChange

    public static final QEvent.Type ThreadChange

### WindowActivate

    public static final QEvent.Type WindowActivate

  Window was activated.

### WindowDeactivate

    public static final QEvent.Type WindowDeactivate

  Window was deactivated.

### ShowToParent

    public static final QEvent.Type ShowToParent

  A child widget has been shown.

### HideToParent

    public static final QEvent.Type HideToParent

  A child widget has been hidden.

### Wheel

    public static final QEvent.Type Wheel

  Mouse wheel rolled (`QWheelEvent`).

### WindowTitleChange

    public static final QEvent.Type WindowTitleChange

  The window title has changed.

### WindowIconChange

    public static final QEvent.Type WindowIconChange

  The window's icon has changed.

### ApplicationWindowIconChange

    public static final QEvent.Type ApplicationWindowIconChange

  The application's icon has changed.

### ApplicationFontChange

    public static final QEvent.Type ApplicationFontChange

  The default application font has changed.

### ApplicationLayoutDirectionChange

    public static final QEvent.Type ApplicationLayoutDirectionChange

  The default application layout direction has changed.

### ApplicationPaletteChange

    public static final QEvent.Type ApplicationPaletteChange

  The default application palette has changed.

### PaletteChange

    public static final QEvent.Type PaletteChange

  Palette of the widget changed.

### Clipboard

    public static final QEvent.Type Clipboard

  The clipboard contents have changed (`QClipboardEvent`).

### Speech

    public static final QEvent.Type Speech

### MetaCall

    public static final QEvent.Type MetaCall

  An asynchronous method invocation via QMetaObject.:invokeMethod().

### SockAct

    public static final QEvent.Type SockAct

  Socket activated, used to implement `QSocketNotifier`.

### WinEventAct

    public static final QEvent.Type WinEventAct

  A Windows-specific activation event has occurred.

### DeferredDelete

    public static final QEvent.Type DeferredDelete

  The object will be deleted after it has cleaned up.

### DragEnter

    public static final QEvent.Type DragEnter

  The cursor enters a widget during a drag and drop operation (`QDragEnterEvent`).

### DragMove

    public static final QEvent.Type DragMove

  A drag and drop operation is in progress (`QDragMoveEvent`).

### DragLeave

    public static final QEvent.Type DragLeave

  The cursor leaves a widget during a drag and drop operation (`QDragLeaveEvent`).

### Drop

    public static final QEvent.Type Drop

  A drag and drop operation is completed (`QDropEvent`).

### DragResponse

    public static final QEvent.Type DragResponse

### ChildAdded

    public static final QEvent.Type ChildAdded

  An object gets a child (`QChildEvent`).

### ChildPolished

    public static final QEvent.Type ChildPolished

  A widget child gets polished (`QChildEvent`).

### ChildRemoved

    public static final QEvent.Type ChildRemoved

  An object loses a child (`QChildEvent`).

### ShowWindowRequest

    public static final QEvent.Type ShowWindowRequest

### PolishRequest

    public static final QEvent.Type PolishRequest

  The widget is polished.

### Polish

    public static final QEvent.Type Polish

### LayoutRequest

    public static final QEvent.Type LayoutRequest

  Widget layout needs to be redone.

### UpdateRequest

    public static final QEvent.Type UpdateRequest

  The widget should be repainted.

### UpdateLater

    public static final QEvent.Type UpdateLater

  The widget should be queued to be repainted at a later time.

### EmbeddingControl

    public static final QEvent.Type EmbeddingControl

### ActivateControl

    public static final QEvent.Type ActivateControl

### DeactivateControl

    public static final QEvent.Type DeactivateControl

### ContextMenu

    public static final QEvent.Type ContextMenu

  Context popup menu (`QContextMenuEvent`).

### InputMethod

    public static final QEvent.Type InputMethod

  An input method is being used (`QInputMethodEvent`).

### AccessibilityPrepare

    public static final QEvent.Type AccessibilityPrepare

  Accessibility information is requested.

### TabletMove

    public static final QEvent.Type TabletMove

  Wacom tablet move (`QTabletEvent`).

### LocaleChange

    public static final QEvent.Type LocaleChange

  The system locale has changed.

### LanguageChange

    public static final QEvent.Type LanguageChange

  The application translation changed.

### LayoutDirectionChange

    public static final QEvent.Type LayoutDirectionChange

  The direction of layouts changed.

### Style

    public static final QEvent.Type Style

### TabletPress

    public static final QEvent.Type TabletPress

  Wacom tablet press (`QTabletEvent`).

### TabletRelease

    public static final QEvent.Type TabletRelease

  Wacom tablet release (`QTabletEvent`).

### OkRequest

    public static final QEvent.Type OkRequest

  Ok button in decoration pressed. Supported only for Windows CE.

### HelpRequest

    public static final QEvent.Type HelpRequest

### IconDrag

    public static final QEvent.Type IconDrag

  The main icon of a window has been dragged away (`QIconDragEvent`).

### FontChange

    public static final QEvent.Type FontChange

  Widget's font has changed.

### EnabledChange

    public static final QEvent.Type EnabledChange

  Widget's enabled state has changed.

### ActivationChange

    public static final QEvent.Type ActivationChange

  A widget's top-level window activation state has changed.

### StyleChange

    public static final QEvent.Type StyleChange

  Widget's style has been changed.

### IconTextChange

    public static final QEvent.Type IconTextChange

  Widget's icon text has been changed.

### ModifiedChange

    public static final QEvent.Type ModifiedChange

  Widgets modification state has been changed.

### MouseTrackingChange

    public static final QEvent.Type MouseTrackingChange

  The mouse tracking state has changed.

### WindowBlocked

    public static final QEvent.Type WindowBlocked

  The window is blocked by a modal dialog.

### WindowUnblocked

    public static final QEvent.Type WindowUnblocked

  The window is unblocked after a modal dialog exited.

### WindowStateChange

    public static final QEvent.Type WindowStateChange

  The `window's state` (minimized, maximized or full-screen) has changed (`QWindowStateChangeEvent`).

### ToolTip

    public static final QEvent.Type ToolTip

  A tooltip was requested (`QHelpEvent`).

### WhatsThis

    public static final QEvent.Type WhatsThis

  The widget should reveal "What's This?" help (`QHelpEvent`).

### StatusTip

    public static final QEvent.Type StatusTip

  A status tip is requested (`QStatusTipEvent`).

### ActionChanged

    public static final QEvent.Type ActionChanged

  An action has been changed (`QActionEvent`).

### ActionAdded

    public static final QEvent.Type ActionAdded

  A new action has been added (`QActionEvent`).

### ActionRemoved

    public static final QEvent.Type ActionRemoved

  An action has been removed (`QActionEvent`).

### FileOpen

    public static final QEvent.Type FileOpen

  File open request (`QFileOpenEvent`).

### Shortcut

    public static final QEvent.Type Shortcut

  Key press in child for shortcut key handling (`QShortcutEvent`).

### ShortcutOverride

    public static final QEvent.Type ShortcutOverride

  Key press in child, for overriding shortcut key handling (`QKeyEvent`).

### WhatsThisClicked

    public static final QEvent.Type WhatsThisClicked

  A link in a widget's "What's This?" help was clicked.

### ToolBarChange

    public static final QEvent.Type ToolBarChange

  The toolbar button is toggled on Mac OS X.

### ApplicationActivate

    public static final QEvent.Type ApplicationActivate

  The application has been made available to the user.

### ApplicationDeactivate

    public static final QEvent.Type ApplicationDeactivate

  The application has been suspended, and is unavailable to the user.

### QueryWhatsThis

    public static final QEvent.Type QueryWhatsThis

  The widget should accept the event if it has "What's This?" help.

### EnterWhatsThisMode

    public static final QEvent.Type EnterWhatsThisMode

  Send to toplevel widgets when the application enters "What's This?" mode.

### LeaveWhatsThisMode

    public static final QEvent.Type LeaveWhatsThisMode

  Send to toplevel widgets when the application leaves "What's This?" mode.

### ZOrderChange

    public static final QEvent.Type ZOrderChange

  The widget's z-order has changed. This event is never sent to top level windows.

### HoverEnter

    public static final QEvent.Type HoverEnter

  The mouse cursor enters a hover widget (`QHoverEvent`).

### HoverLeave

    public static final QEvent.Type HoverLeave

  The mouse cursor leaves a hover widget (`QHoverEvent`).

### HoverMove

    public static final QEvent.Type HoverMove

  The mouse cursor moves inside a hover widget (`QHoverEvent`).

### AccessibilityHelp

    public static final QEvent.Type AccessibilityHelp

  Used to query accessibility help texts (`QAccessibleEvent`).

### AccessibilityDescription

    public static final QEvent.Type AccessibilityDescription

  Used to query accessibility description texts (`QAccessibleEvent`).

### AcceptDropsChange

    public static final QEvent.Type AcceptDropsChange

### MenubarUpdated

    public static final QEvent.Type MenubarUpdated

  The window's menu bar has been updated.

### ZeroTimerEvent

    public static final QEvent.Type ZeroTimerEvent

### GraphicsSceneMouseMove

    public static final QEvent.Type GraphicsSceneMouseMove

  Move mouse in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneMousePress

    public static final QEvent.Type GraphicsSceneMousePress

  Mouse press in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneMouseRelease

    public static final QEvent.Type GraphicsSceneMouseRelease

  Mouse release in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneMouseDoubleClick

    public static final QEvent.Type GraphicsSceneMouseDoubleClick

  Mouse press again (double click) in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneContextMenu

    public static final QEvent.Type GraphicsSceneContextMenu

  Context popup menu over a graphics scene (`QGraphicsSceneContextMenuEvent`).

### GraphicsSceneHoverEnter

    public static final QEvent.Type GraphicsSceneHoverEnter

  The mouse cursor enters a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).

### GraphicsSceneHoverMove

    public static final QEvent.Type GraphicsSceneHoverMove

  The mouse cursor moves inside a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).

### GraphicsSceneHoverLeave

    public static final QEvent.Type GraphicsSceneHoverLeave

  The mouse cursor leaves a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).

### GraphicsSceneHelp

    public static final QEvent.Type GraphicsSceneHelp

  The user requests help for a graphics scene (`QHelpEvent`).

### GraphicsSceneDragEnter

    public static final QEvent.Type GraphicsSceneDragEnter

  The cursor enters a graphics scene during a drag and drop operation.

### GraphicsSceneDragMove

    public static final QEvent.Type GraphicsSceneDragMove

  A drag and drop operation is in progress over a scene.

### GraphicsSceneDragLeave

    public static final QEvent.Type GraphicsSceneDragLeave

  The cursor leaves a graphics scene during a drag and drop operation.

### GraphicsSceneDrop

    public static final QEvent.Type GraphicsSceneDrop

  A drag and drop operation is completed over a scene.

### GraphicsSceneWheel

    public static final QEvent.Type GraphicsSceneWheel

  Mouse wheel rolled in a graphics scene (`QGraphicsSceneWheelEvent`).

### KeyboardLayoutChange

    public static final QEvent.Type KeyboardLayoutChange

  The keyboard layout has changed.

### DynamicPropertyChange

    public static final QEvent.Type DynamicPropertyChange

  A dynamic property was added, changed or removed from the object.

### TabletEnterProximity

    public static final QEvent.Type TabletEnterProximity

  Wacom tablet enter proximity event (`QTabletEvent`), sent to `QApplication`.

### TabletLeaveProximity

    public static final QEvent.Type TabletLeaveProximity

  Wacom tablet leave proximity event (`QTabletEvent`), sent to `QApplication`.

### NonClientAreaMouseMove

    public static final QEvent.Type NonClientAreaMouseMove

  A mouse move occurred outside the client area.

### NonClientAreaMouseButtonPress

    public static final QEvent.Type NonClientAreaMouseButtonPress

  A mouse button press occurred outside the client area.

### NonClientAreaMouseButtonRelease

    public static final QEvent.Type NonClientAreaMouseButtonRelease

  A mouse button release occurred outside the client area.

### NonClientAreaMouseButtonDblClick

    public static final QEvent.Type NonClientAreaMouseButtonDblClick

  A mouse double click occurred outside the client area.

### MacSizeChange

    public static final QEvent.Type MacSizeChange

  The user changed his widget sizes (Mac OS X only).

### ContentsRectChange

    public static final QEvent.Type ContentsRectChange

  The margins of the widget's content rect changed.

### MacGLWindowChange

    public static final QEvent.Type MacGLWindowChange

### FutureCallOut

    public static final QEvent.Type FutureCallOut

### GraphicsSceneResize

    public static final QEvent.Type GraphicsSceneResize

  Widget was resized (`QGraphicsSceneResizeEvent`).

### GraphicsSceneMove

    public static final QEvent.Type GraphicsSceneMove

  Widget was moved (`QGraphicsSceneMoveEvent`).

### CursorChange

    public static final QEvent.Type CursorChange

  The widget's cursor has changed.

### ToolTipChange

    public static final QEvent.Type ToolTipChange

  The widget's tooltip has changed.

### NetworkReplyUpdated

    public static final QEvent.Type NetworkReplyUpdated

### GrabMouse

    public static final QEvent.Type GrabMouse

  Item gains mouse grab (`QGraphicsItem` only).

### UngrabMouse

    public static final QEvent.Type UngrabMouse

  Item loses mouse grab (`QGraphicsItem` only).

### GrabKeyboard

    public static final QEvent.Type GrabKeyboard

  Item gains keyboard grab (`QGraphicsItem` only).

### UngrabKeyboard

    public static final QEvent.Type UngrabKeyboard

  Item loses keyboard grab (`QGraphicsItem` only).

### User

    public static final QEvent.Type User

  User-defined event.

### MaxUser

    public static final QEvent.Type MaxUser

  Last user event ID.

### CustomEnum

    public static final QEvent.Type CustomEnum

Method Detail

### values

    public static QEvent.Type[] values()

### valueOf

    public static QEvent.Type valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QEvent.Type resolve(int value)

  Returns the QEvent$Type constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD